/**
 * <copyright>
 * </copyright>
 *
 * $Id: CubeDeploymentValidator.java,v 1.1 2008-04-01 09:35:33 vmahe Exp $
 */
package orgomg.cwm.analysis.olap.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.analysis.olap.ContentMap;
import orgomg.cwm.analysis.olap.CubeRegion;
import orgomg.cwm.analysis.olap.DeploymentGroup;

/**
 * A sample validator interface for {@link orgomg.cwm.analysis.olap.CubeDeployment}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface CubeDeploymentValidator {
	boolean validate();

	boolean validateCubeRegion(CubeRegion value);
	boolean validateDeploymentGroup(DeploymentGroup value);
	boolean validateContentMap(EList<ContentMap> value);
}
